These are chat archives for opentk/opentk

7th
Nov 2017
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 00:34
Hello my dear guys I have resolved
because GTK Sharp 3 has bug because it is not updated because many liars make shits on nuget server
I am very happy because Wave Engine helps me
and I check current gtk sharp version like Wave Editor has still working glWidget has support higher than 3.3 just 4.5 and 4.6 and 4.7 newer and has not crash it works fine yeeeaaahh Thanks for Wave Engine Team. That is why I love Wave Engine Teams
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 00:41
Now it works fine I show you that but whatever it support with OpenGL4 or GL.Shader ..
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 07:58
It is initial GlWidget on Gtk Sharp 2
Rosen Iliev
@winterhell
Nov 07 2017 07:59
Congratulations
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 08:00
Thanks but I tried triangle doesn't show up
Rosen Iliev
@winterhell
Nov 07 2017 08:01
Are you using shaders to render the triangle?
And VAO is mandatory
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 08:02
Yeah
I already :)
Wait i will show you github gist
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 08:32
But it is just sample of Github with Gl.Begin() and Gl.End() But I will try for Gl.Shader
Ghost
@ghost~59d9ee50d73408ce4f7916bf
Nov 07 2017 09:39
Wow Gtk Sharp 2 GlWidget sucks greater than OpenGL 4.5 . I already tested and it works fine. Nice like real game develop makes happy
game development* makes me happy